%define name	sfio
%define version	1999
%define release	3mdk
Summary: A Safe/Fast I/O Library
Name: %{name}
Version: %{version}
Release: %{release}
Group: System/Libraries
Copyright: AT&T Labs
Url: http://www.research.att.com/sw/tools/sfio/
Source0: sfio_1999.src.unix.tar.bz2
Source1: sfio_1999.src.unix.README
Patch0:  sfio_1999.patch
Patch1:  sfio_1999.mdk.patch.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
Sfio is a library for managing I/O streams. It provides functionality
similar to that of Stdio, the ANSI C Standard I/O library, but via a
distinct interface that is more powerful, robust and efficient.

%package devel
Group: Development/C
Summary: Libraries, includes and other files for Safe/Fast I/O Library
Requires: sfio = 1999

%description devel
This packages contains the libraries, include and other files
for Safe/Fast I/O Library

%prep
%setup -q 
%patch1 -p0
cp -p %{SOURCE1} .

%build
export PATH=$PATH:`pwd`/bin
mkdir -p src/lib/sfio/FEATURE
mkdir -p src/lib/sfio/Stdio_b/FEATURE
make -C src/lib/sfio
make -C src/lib/sfio libsfio.so install SONAME="lib%{name}.so.%{version}" CFLAGS="$CFLAGS -fPIC "
# Since we install the headers in /usr/include/sfio we need to fix some paths
patch -p0 < %{PATCH0}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/include/sfio
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/%{_mandir}
cp -a include/* $RPM_BUILD_ROOT/usr/include/sfio
cp -a man/* $RPM_BUILD_ROOT/%{_mandir}

install lib/libsfio.so $RPM_BUILD_ROOT/usr/lib/libsfio.so.1999
install lib/*.a $RPM_BUILD_ROOT/usr/lib/
( cd $RPM_BUILD_ROOT/usr/lib/ ; ln -s libsfio.so.1999 libsfio.so )


%files
%defattr(-,root,root)
%doc NOTICE/* *README 
/usr/lib/*
%{_mandir}/man*/*

%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/*.so
/usr/lib/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Fri Apr 06 2001 Philippe Libat <philippe@mandrakesoft.com> 1999-3mdk
- Mandrake adaptions
- shared lib, and devel package

* Mon Mar 03 1997 Hao Li <hli@wag.caltech.edu>
- initial package
